<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_app_feedback.dashboard.main_headings')"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <ion-grid class="ion-no-padding flex-list-subsections" id="mainAppFeedback">
    <p class="sub-header">
      {{ t('feature_app_feedback.dashboard.sub_headings') }}
    </p>
    <ion-row class="flex-list-minor">
      <div class="flex-list-lines">
        <div class="header-section">
          {{ t('feature_app_feedback.dashboard.feedback_header') }}
        </div>
        <div class="subheader-section">
          {{ t('feature_app_feedback.dashboard.feedback_subheader') }}
        </div>
      </div>
      <lib-custom-vertical-button
        [buttonType]="customButtonType.link"
        [colorScheme]="customButtonColorScheme.main"
        [routerLink]="['./questionnaire']"
        [startIcon]="'arrow_forward'"
        [title]="t('feature_app_feedback.dashboard.feedback_button')"
        class="custom-vertical-button"
      ></lib-custom-vertical-button>
    </ion-row>

    <ion-row class="flex-list-minor">
      <div class="flex-list-lines">
        <div class="header-section">
          {{ t('feature_app_feedback.dashboard.report_error_header') }}
        </div>
        <div class="subheader-section">
          {{ t('feature_app_feedback.dashboard.report_error_subheader') }}
        </div>
      </div>
      <lib-custom-vertical-button
        [buttonType]="customButtonType.link"
        [colorScheme]="customButtonColorScheme.main"
        [routerLink]="['./issue-report']"
        [startIcon]="'arrow_forward'"
        [title]="t('feature_app_feedback.dashboard.report_error_button')"
        class="custom-vertical-button"
      ></lib-custom-vertical-button>
    </ion-row>
  </ion-grid>
</lib-condensed-header-layout>
